Bug 1024292 - (CVE-2017-2586) VUL-1: CVE-2017-2586: netpbm: Null pointer dereference in stringToUint function
(CVE-2017-2586)
VUL-1: CVE-2017-2586: netpbm: Null pointer dereference in stringToUint function
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/180073
CVSSv2:SUSE:CVE-2017-2586:4.3:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-08 14:40 UTC by Matthias Gerstner
Modified: 2017-10-26 08:32 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
report and testcase (40.84 KB, application/zip)
2017-06-07 13:04 UTC, Petr Gajdos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Gerstner 2017-02-08 14:40:13 UTC
This issue occurs in svgtopam and causes by a NULL pointer passed
to strlen(const char*).
This issue can be caused by a malformed SVG  file through svgtopam.
Attackers could exploit this issue to result in DoS of the program.

References:
http://seclists.org/oss-sec/2017/q1/317
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-2586
http://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-2586.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-2586
Comment 1 Matthias Gerstner 2017-02-08 14:41:56 UTC
From oss-sec:

> Some of these issues are patched in other branches and all will be
> patched in Super Stable branch in March as maintainer said.
> And the maintainer said: "*Anyone who wants a fix before the March
> Super Stable release can either upgrade to Stable or backport the
> fixes from Stable."*

I couldn't find a fix to this in any of the branches in the upstream SVN in
https://svn.code.sf.net/p/netpbm/code. All versions of stringToUint() happily
dereference a potential null pointer. So maybe we need to wait until March.
Comment 3 Swamp Workflow Management 2017-02-08 23:02:52 UTC
bugbot adjusting priority
Comment 6 Petr Gajdos 2017-06-06 15:17:57 UTC
I have asked the reporter (chunibalon) for the testcase.
Comment 7 Petr Gajdos 2017-06-07 11:07:06 UTC
Asked netpbm upstream with to consider fedora's patch for this issue referenced in comment 4.
Comment 8 Petr Gajdos 2017-06-07 13:04:41 UTC
Created attachment 727983 [details]
report and testcase
Comment 9 Petr Gajdos 2017-06-07 13:14:08 UTC
Correct fix:
https://sourceforge.net/p/netpbm/code/2877/

For 12/netpbm

BEFORE

$ svgtopam 000002.svg
Segmentation fault (core dumped)
$

AFTER

$ svgtopam 000002.svg
svgtopam: xmlTextReaderGetAttribute("width") failed.
$

Affected: 12/netpbm
Comment 10 Petr Gajdos 2017-06-12 08:40:38 UTC
Packages submitted.
Comment 12 Swamp Workflow Management 2017-06-19 13:13:32 UTC
SUSE-SU-2017:1603-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1024287,1024292,1024294
CVE References: CVE-2017-2581,CVE-2017-2586,CVE-2017-2587
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    netpbm-10.66.3-7.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    netpbm-10.66.3-7.1
SUSE Linux Enterprise Server 12-SP2 (src):    netpbm-10.66.3-7.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    netpbm-10.66.3-7.1
Comment 13 Swamp Workflow Management 2017-06-26 22:10:03 UTC
openSUSE-SU-2017:1698-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1024287,1024292,1024294
CVE References: CVE-2017-2581,CVE-2017-2586,CVE-2017-2587
Sources used:
openSUSE Leap 42.2 (src):    netpbm-10.66.3-8.3.1
Comment 14 Marcus Meissner 2017-10-26 08:32:56 UTC
released